Skip to main content
POST
/
management
/
v1
/
projects
/
{projectId}
/
branding
Create Brand
curl --request POST \
  --url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/branding \
  --header 'Content-Type: application/json' \
  --data '
{
  "brand": {
    "name": "Voucherify PSA",
    "privacy_policy_url": null,
    "terms_of_use_url": null,
    "permission_reminder": "You are receiving this email because you opted in at our website.",
    "website_url": "voucherify.io"
  },
  "address": {
    "street": "Porcelanowa 23",
    "city": "Katowice",
    "postal": "43-246",
    "state": null,
    "country": "Poland"
  },
  "contact": {
    "email": "support@voucherify.io",
    "phone": null
  },
  "cockpits": {
    "campaigns_overview_enabled": false,
    "loyalty_enabled": true,
    "gift_cards_enabled": true,
    "coupons_enabled": true,
    "referrals_enabled": true,
    "theme": "default",
    "use_custom_double_opt_in_redirect_url": false,
    "custom_double_opt_in_redirect_url": null
  }
}
'
{
  "id": "brd_0eb55234024e226d9d",
  "brand": {
    "name": "Voucherify PSA",
    "privacy_policy_url": null,
    "terms_of_use_url": null,
    "permission_reminder": "You are receiving this email because you opted in at our website.",
    "website_url": "voucherify.io"
  },
  "address": {
    "street": "Porcelanowa 23",
    "city": "Katowice",
    "postal": "43-246",
    "state": null,
    "country": "Poland"
  },
  "contact": {
    "email": "support@voucherify.io",
    "phone": null
  },
  "cockpits": {
    "campaigns_overview_enabled": false,
    "loyalty_enabled": true,
    "gift_cards_enabled": true,
    "coupons_enabled": true,
    "referrals_enabled": true,
    "theme": "default",
    "use_custom_double_opt_in_redirect_url": false,
    "custom_double_opt_in_redirect_url": null
  }
}

Path Parameters

projectId
string
required

Provide the unique identifier of the project.

Example:

"proj_TrlkLiH4"

Body

application/json

Defines a brand configuration.

Request body schema for POST /management/v1/projects/{projectId}/branding.

brand
Brand ยท object
required

Defines basic brand details.

address
Address ยท object
required

Defines the address details.

contact
Contact ยท object
required

Defines contact details.

cockpits
Cockpit ยท object

Defines customer cockpit details.

Response

Returns the details about the brand configuration.

Response body schema for POST /management/v1/projects/{projectId}/branding.

id
string
required

Unique identifier of the brand configuration.

brand
Brand ยท object
required

Defines basic brand details.

address
Address ยท object
required

Defines the address details.

contact
Contact ยท object
required

Defines contact details.

cockpits
Cockpit ยท object
required

Defines customer cockpit details.

Last modified on February 10, 2026